{ config, lib, ... }:
let
  cfg = config.sbruder.cpu.intel;
in
{
  options.sbruder.cpu.intel.enable = lib.mkEnableOption "intel cpu configuration";

  config = lib.mkIf cfg.enable {
    hardware.cpu.intel.updateMicrocode = true;
  };
}
